export const ROLE_FETCH_DATA_SUCCESS = 'ROLE_FETCH_DATA_SUCCESS';
export const ROLE_IS_LOADING = 'ROLE_IS_LOADING';
export const ROLE_HAS_ERRORED = 'ROLE_HAS_ERRORED';
export const USER_FETCH_DATA_SUCCESS = 'USER_FETCH_DATA_SUCCESS';
export const USER_IS_LOADING = 'USER_IS_LOADING';
export const USER_HAS_ERRORED = 'USER_HAS_ERRORED';
export const ADD_USER_SUCCESS = 'ADD_USER_SUCCESS';
export const PROFILE_FETCH_DATA_SUCCESS = 'PROFILE_FETCH_DATA_SUCCESS';
export const PROFILE_IS_LOADING = 'PROFILE_IS_LOADING';
export const PROFILE_HAS_ERRORED = 'PROFILE_HAS_ERRORED';
export const UPDATE_PROFILE_SUCCESS = 'UPDATE_PROFILE_SUCCESS';
export const CATEGORY_FETCH_DATA_SUCCESS = 'CATEGORY_FETCH_DATA_SUCCESS';
export const CATEGORY_IS_LOADING = 'CATEGORY_IS_LOADING';
export const CATEGORY_HAS_ERRORED = 'CATEGORY_HAS_ERRORED';
export const FILTERED_ITEM_FETCH_SUCCESS = 'FILTERED_ITEM_FETCH_SUCCESS';
export const FILTERED_ITEM_IS_LOADING = 'FILTERED_ITEM_IS_LOADING';
export const FILTERED_ITEM_HAS_ERRORED = 'FILTERED_ITEM_HAS_ERRORED';
export const ITEM_FETCH_SUCCESS = 'ITEM_FETCH_SUCCESS';
export const ITEM_IS_LOADING = 'ITEM_IS_LOADING';
export const ITEM_HAS_ERRORED = 'ITEM_HAS_ERRORED';
export const ITEM_COUNT_FETCH_SUCCESS = 'ITEM_COUNT_FETCH_SUCCESS';
export const ITEM_COUNT_IS_LOADING = 'ITEM_COUNT_IS_LOADING';
export const ITEM_COUNT_HAS_ERRORED = 'ITEM_COUNT_HAS_ERRORED';
export const FILTERED_ITEM_COUNT_FETCH_SUCCESS = 'FILTERED_ITEM_COUNT_FETCH_SUCCESS';
export const FILTERED_ITEM_COUNT_IS_LOADING = 'FILTERED_ITEM_COUNT_IS_LOADING';
export const FILTERED_ITEM_COUNT_HAS_ERRORED = 'FILTERED_ITEM_COUNT_HAS_ERRORED';
export const GET_ALL_CART_ITEMS = 'GET_ALL_CART_ITEMS';
export const ADD_CART_ITEM = 'ADD_CART_ITEM';
export const DELETE_CART_ITEM = 'DELETE_CART_ITEM';
export const CLEAR_CART = 'CLEAR_CART';
export const PURCHASE_IN_PROGRESS = 'PURCHASE_IN_PROGRESS';
export const PURCHASE_HAS_ERRORED = 'PURCHASE_HAS_ERRORED';
export const PURCHASE_SUCCESS = 'PURCHASE_SUCCESS';
export const ORDER_FETCH_SUCCESS = 'ORDER_FETCH_SUCCESS';
export const ORDER_IS_LOADING = 'ORDER_IS_LOADING';
export const ORDER_HAS_ERRORED = 'ORDER_HAS_ERRORED';
export const LOGIN = 'LOGIN';
export const LOGIN_SUCCESS = 'LOGIN_SUCCESS'
export const LOGIN_HAS_ERRORED = 'LOGIN_HAS_ERRORED'
export const LOGIN_IN_PROGRESS = 'LOGIN_IN_PROGRESS'
export const FETCH_USER_SESSION = 'FETCH_USER_SESSION'
export const USERS_COUNT_FETCH = 'USERS_COUNT_FETCH';
export const USERS_COUNT_FETCH_IN_PROGRESS = 'USERS_COUNT_FETCH_IN_PROGRESS';
export const USERS_COUNT_FETCH_HAS_ERRORED = 'USERS_COUNT_FETCH_HAS_ERRORED';
export const USERS_COUNT_FETCH_SUCCESS = 'USERS_COUNT_FETCH_SUCCESS';
export const DISABLED_USERS_COUNT_FETCH = 'DISABLED_USERS_COUNT_FETCH';
export const DISABLED_USERS_COUNT_FETCH_IN_PROGRESS = 'DISABLED_USERS_COUNT_FETCH_IN_PROGRESS';
export const DISABLED_USERS_COUNT_FETCH_HAS_ERRORED = 'DISABLED_USERS_COUNT_FETCH_HAS_ERRORED';
export const DISABLED_USERS_COUNT_FETCH_SUCCESS = 'DISABLED_USERS_COUNT_FETCH_SUCCESS';
export const FETCH_NUMBER_OF_CART_ITEMS = 'FETCH_NUMBER_OF_CART_ITEMS'

//Logout
export const LOGOUT = 'LOGOUT';
export const LOGOUT_SUCCESS = 'LOGOUT_SUCCESS';
export const LOGOUT_HAS_ERRORED = 'LOGOUT_HAS_ERRORED';
export const LOGOUT_IN_PROGRESS = 'LOGOUT_IN_PROGRESS';

//All items count
export const ALL_ITEMS_COUNT_FETCH = 'ALL_ITEMS_COUNT_FETCH';
export const ALL_ITEMS_COUNT_FETCH_IN_PROGRESS = 'ALL_ITEMS_COUNT_FETCH_IN_PROGRESS';
export const ALL_ITEMS_COUNT_FETCH_HAS_ERRORED = 'ALL_ITEMS_COUNT_FETCH_HAS_ERRORED';
export const ALL_ITEMS_COUNT_FETCH_SUCCESS = 'ALL_ITEMS_COUNT_FETCH_SUCCESS';

//All items with discount
export const FETCH_COUNT_OF_ALL_ITEMS_WITH_DISCOUNT = 'FETCH_COUNT_OF_ALL_ITEMS_WITH_DISCOUNT';
export const FETCH_COUNT_OF_ALL_ITEMS_WITH_DISCOUNT_IN_PROGRESS = 'FETCH_COUNT_OF_ALL_ITEMS_WITH_DISCOUNT_IN_PROGRESS';
export const FETCH_COUNT_OF_ALL_ITEMS_WITH_DISCOUNT_HAS_ERRORED = 'FETCH_COUNT_OF_ALL_ITEMS_WITH_DISCOUNT_HAS_ERRORED';
export const FETCH_COUNT_OF_ALL_ITEMS_WITH_DISCOUNT_SUCCESS = 'FETCH_COUNT_OF_ALL_ITEMS_WITH_DISCOUNT_SUCCESS';

//Items with zero quantity
export const FETCH_COUNT_OF_ITEMS_WITH_ZERO_QUANTITY = 'FETCH_COUNT_OF_ITEMS_WITH_ZERO_QUANTITY';
export const FETCH_COUNT_OF_ITEMS_WITH_ZERO_QUANTITY_IN_PROGRESS = 'FETCH_COUNT_OF_ITEMS_WITH_ZERO_QUANTITY_IN_PROGRESS';
export const FETCH_COUNT_OF_ITEMS_WITH_ZERO_QUANTITY_HAS_ERRORED = 'FETCH_COUNT_OF_ITEMS_WITH_ZERO_QUANTITY_HAS_ERRORED';
export const FETCH_COUNT_OF_ITEMS_WITH_ZERO_QUANTITY_SUCCESS = 'FETCH_COUNT_OF_ITEMS_WITH_ZERO_QUANTITY_SUCCESS';

//Disabled items count
export const FETCH_COUNT_OF_DISABLED_ITEMS = 'FETCH_COUNT_OF_DISABLED_ITEMS';
export const FETCH_COUNT_OF_DISABLED_ITEMS_IN_PROGRESS = 'FETCH_COUNT_OF_DISABLED_ITEMS_IN_PROGRESS';
export const FETCH_COUNT_OF_DISABLED_ITEMS_HAS_ERRORED = 'FETCH_COUNT_OF_DISABLED_ITEMS_HAS_ERRORED';
export const FETCH_COUNT_OF_DISABLED_ITEMS_SUCCESS = 'FETCH_COUNT_OF_DISABLED_ITEMS_SUCCESS';

//Sellers without items
export const USERS_WITHOUT_ITEMS_COUNT_FETCH = 'USERS_WITHOUT_ITEMS_COUNT_FETCH';
export const USERS_WITHOUT_ITEMS_COUNT_FETCH_IN_PROGRESS = 'USERS_WITHOUT_ITEMS_COUNT_FETCH_IN_PROGRESS';
export const USERS_WITHOUT_ITEMS_COUNT_FETCH_HAS_ERRORED = 'USERS_WITHOUT_ITEMS_COUNT_FETCH_HAS_ERRORED';
export const USERS_WITHOUT_ITEMS_COUNT_FETCH_SUCCESS = 'USERS_WITHOUT_ITEMS_COUNT_FETCH_SUCCESS';

//Orders count
export const ORDERS_COUNT_FETCH = 'ORDERS_COUNT_FETCH';
export const ORDERS_COUNT_FETCH_IN_PROGRESS = 'ORDERS_COUNT_FETCH_IN_PROGRESS';
export const ORDERS_COUNT_FETCH_HAS_ERRORED = 'ORDERS_COUNT_FETCH_HAS_ERRORED';
export const ORDERS_COUNT_FETCH_SUCCESS = 'ORDERS_COUNT_FETCH_SUCCESS';

// const GET_ALL_RECIPES = 'GET_ALL_RECIPES';
// const SET_CURRENT_RECIPE = 'SET_CURRENT_RECIPE';
// const EDIT_RECIPE = 'EDIT_RECIPE';
// const UPDATE_RECIPE = 'UPDATE_RECIPE';
// const CREATE_RECIPE = 'CREATE_RECIPE';
// const DELETE_RECIPE = 'DELETE_RECIPE';
// const SAVE_NEW_RECIPE = 'SAVE_NEW_RECIPE';